Bug 134287 - 2.6.8-1.603 kernel OOPS during reboot
2.6.8-1.603 kernel OOPS during reboot
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
x86_64 Linux
medium Severity high
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-09-30 18:25 EDT by H.J. Lu
Modified: 2015-01-04 17:10 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-27 01:51:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
A patch for reboot kernel panic (408 bytes, patch)
2004-10-15 17:42 EDT, H.J. Lu
no flags Details | Diff

  None (edit)
Description H.J. Lu 2004-09-30 18:25:29 EDT
At the end of reboot, I got kernel OOPS under 2.6.8-1.584 kernel
on EM64T machine.
Comment 1 H.J. Lu 2004-10-11 20:20:43 EDT
2.6.8-1.603 has the same problem. kernel died in find_isa_irq_pin.
Comment 2 H.J. Lu 2004-10-15 17:42:35 EDT
Created attachment 105307 [details]
A patch for reboot kernel panic

linux-2.6.9-kexec.patch adds a call to find_isa_irq_pin in disable_IO_APIC.
But find_isa_irq_pin is marked __init on x86-64, which leads to
kernel panic. This patch should fix it.
Comment 4 Dave Jones 2004-10-27 01:51:16 EDT
fixed in current kernels.

Note You need to log in before you can comment on or make changes to this bug.